Merge pull request #826 from smarterclayton/git_check_wrong

Check for dirty files is not accurate
pull/6/head
Daniel Smith 2014-08-12 10:53:22 -07:00
commit a3d5d915c0
1 changed files with 2 additions and 2 deletions

View File

@ -2,8 +2,8 @@
set -e
if (( $(git status --porcelain 2>/dev/null | grep "^M" | wc -l) > 0 )); then
echo "You can't have any staged files in git when updating packages."
if ! git diff-index --quiet HEAD -- || test $(git ls-files --exclude-standard --others third_party/src | wc -l) != 0; then
echo "You can't have any staged files or changes in third_party/src/ in git when updating packages."
echo "Either commit them or unstage them to continue."
exit 1
fi